//ATtiny1614 node 2

#include <SoftwareSerial.h>
SoftwareSerial mySerial(4, 5); //RX, TX
int v = 0;
int nodeid = 3; //Node Identification

int led = 1;

void setup() {
  mySerial.begin(115200); //initialize serial communications
  pinMode(led, OUTPUT); // led
  digitalWrite(led, HIGH);
  delay(500);
  digitalWrite(led, LOW);
  delay(50);
}

void loop() {

  while (mySerial.available () == 0 ) {} //while serial is 0
  
  v = mySerial.parseInt();

  mySerial.println(v);
  if (v == nodeid)    //If the value of v equals the identification of the node
  {
    digitalWrite(led, HIGH);
    delay(500);
    digitalWrite(led, LOW);
    delay(50);
  }
  else
  {
    digitalWrite(led, LOW);
  }
}
